package cn.fw.hermes.sdk.api;

import cn.fw.data.base.domain.common.Message;
import cn.fw.hermes.sdk.api.para.MsgPara;
import cn.fw.hermes.sdk.api.para.MsgParamCondition;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Author: Chenery
 * @Date: 2021/2/2 15:54
 */
@FeignClient(value = "fw-herms")
public interface ImSendMessage {


    /**
     * 异步发送消息接口方法
     *
     * @param condition 消息对象
     * @return messageId 消息唯一识别码
     */
    @PostMapping("/api/msg/asynSendMsg")
    Message<String> asynSendMsg(@RequestBody MsgParamCondition condition);

    /**
     * 同步发送消息接口方法
     *
     * @param condition
     * @return
     */
    @PostMapping("/api/msg/synSendMsg")
    Message<Boolean> synSendMsg(@RequestBody MsgParamCondition condition);

    /**
     * 弃用发送消息接口方法
     * 过时的方法 {@link this#synSendMsg(MsgParamCondition)}
     *
     * @param msgPara
     * @return
     */
    @Deprecated
    @PostMapping("/api/im/sendMsg")
    Message<Integer> sendMsg(@RequestBody MsgPara msgPara);
}
