package cn.fw.hermes.sdk.api.constant;

import lombok.Getter;

/**
 * @author 张志伟
 * @date 2018-09-10 17:14
 * @description
 */
public enum UserTypeEnum {
    /**
     * 用户类型
     */
    CUSTOMER(0, "客户"),
    STAFF(1, "工作人员"),
    ADMIN(2, "管理人员");

    @Getter
    private Integer code;
    @Getter
    private String msg;

    UserTypeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static UserTypeEnum getEnum(Integer code) {
        for (UserTypeEnum userTypeEnum : UserTypeEnum
                .values()) {
            if (code.equals(userTypeEnum.getCode())) {
                return userTypeEnum;
            }
        }
        throw new IllegalArgumentException(code + "没有对应枚举");
    }

}
