package cn.fw.hermes.service.data;

import cn.fw.hermes.domain.db.ChatRecord;
import cn.fw.hermes.sdk.api.result.ChatUserDto;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;


/**
 * @Author: Chenery
 * @Date: 2021/2/21 8:42
 */
public interface ChatRecordService extends IService<ChatRecord> {

    /**
     * 批量插入聊天记录
     * @param recordList 聊天记录集合
     * @return 插入结果
     */
    Boolean insertBatch(List<ChatRecord> recordList);

    /**
     * 查询某段时间内某些用户类型聊天次数
     * @param chatCount  聊天次数
     * @param userTypes 用户类别
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return
     */
    List<ChatUserDto> queryNumberOfChat(Integer chatCount, List<Integer> userTypes,
            Date startTime, Date endTime);


}
